{% extends 'worklog/base.html' %}

{% block title %} | Worklog {% endblock %}

{% block content %}
    <div class="container">
        <h1 class="m-3 text-center">Worklog</h1>
        {% if perms.worklog.add_worklocation %}
        <a href="{% url 'create_location' %}" class="btn btn-primary mt-3" role="button">Create Location</a>
        <p></p>
        <div class="list-group">
            {% for location in worklocations %}          
            <div class="list-group-item d-flex align-items-center justify-content-between">
                <h5 class="mb-1">{{ location.name }}</h5>        
                </div>
            {% endfor %}
        </div>

        
        {% else %}
            <p>You don't have permission to add work locations!</p>
        {% endif %}

    </div>
{% endblock %}
